跳转到内容
Try Gitea Cloud ☁️ for 30 days → Accelerate your Development & Deploys!
Support

Get the recent sync history of a push mirror

GET
/repos/{owner}/{repo}/push_mirrors/{name}/history
curl --request GET \
--url https://gitea.example.com/api/v1/repos/example/example/push_mirrors/example/history \
--header 'Authorization: Basic <credentials>'

Gitea Enterprise only. This endpoint is not part of the community edition.

owner
required
string

Owner of the repo

repo
required
string

Name of the repo

name
required
string

Remote name of push mirror

PushMirrorHistoryList

Media typeapplication/json
Array<object>

PushMirrorHistory represents one run of a push mirror

object
created
string format: date-time
deleted

The number of remote refs which were deleted

integer format: int64
duration_ms

The duration of the run in milliseconds

integer format: int64
error

The error message if the whole run failed

string
failed

The failed refs, the list may be truncated

Array<object>

PushMirrorRefError represents a ref which failed to be pushed

object
reason
string
ref
string
failed_total

The total number of refs which failed to be pushed

integer format: int64
pushed

The number of refs which were pushed

integer format: int64
status

The result of the run: success, partial or failed

string
up_to_date

The number of refs which were already up to date

integer format: int64
Examplegenerated
[
{
"created": "2026-04-15T12:00:00Z",
"deleted": 1,
"duration_ms": 1,
"error": "example",
"failed": [
{
"reason": "example",
"ref": "example"
}
],
"failed_total": 1,
"pushed": 1,
"status": "example",
"up_to_date": 1
}
]

APIError is error format response

message
string
url
string

APIForbiddenError is a forbidden error response

message
string
url
string

APINotFound is a not found empty response